Subject: Re: linux-next: build warning after merge of the rpmsg tree

From: Martyn Welch <[email-masked]>
Date: Wed, 28 Aug 2024 10:45:20 +0100

On Wed, 2024-08-28 at 15:09 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Thu, 22 Aug 2024 14:26:03 +1000 Stephen Rothwell
> <[email-masked]> wrote:
> > 
> > After merging the rpmsg tree, today's linux-next build (x86_64
> > allmodconfig) produced this warning:
> > 
> > WARNING: unmet direct dependencies detected for OMAP2PLUS_MBOX
> >   Depends on [n]: MAILBOX [=y] && (ARCH_OMAP2PLUS || ARCH_K3)
> >   Selected by [m]:
> >   - TI_K3_M4_REMOTEPROC [=m] && REMOTEPROC [=y] && (ARCH_K3 ||
> > COMPILE_TEST [=y])
> > 
> > Probably introduced by commit
> > 
> >   ebcf9008a895 ("remoteproc: k3-m4: Add a remoteproc driver for M4F
> > subsystem")
> 
> I am still seeing this warning.
> 

OK, just taken a look into this. I think the issue is the result of the
inclusion of `COMPILE_TEST` in the Kconfig entry:

  config TI_K3_M4_REMOTEPROC
         tristate "TI K3 M4 remoteproc support"
         depends on ARCH_K3 || COMPILE_TEST
         select MAILBOX
         select OMAP2PLUS_MBOX
  ...

Looking at the entry for `OMAP2PLUS_MBOX`, that doesn't have
`COMPILE_TEST` listed under it's dependencies:

  config OMAP2PLUS_MBOX
          tristate "OMAP2+ Mailbox framework support"
          depends on ARCH_OMAP2PLUS || ARCH_K3
  ...

If I understand right, either the `COMPILE_TEST` needs to be removed
from `TI_K3_M4_REMOTEPROC` or added to `OMAP2PLUS_MBOX`.

It appears that the OMAP2+ Mailbox support can at least be compiled on
x86_64. so I assume the correct thing to do here is to enable that
right?

Jassi, I assume there's not specific reason for the OMAP2+ Mailbox
framework support not having `COMPILE_TEST`, other than potentially
being added just before it was a thing?

Martyn